> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noramp.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Trigger



## OpenAPI

````yaml patch /triggers/{app_id}/{trigger_id}
openapi: 3.1.0
info:
  title: NoRamp
  description: NoRamp API
  version: '1.1'
  contact: {}
servers: []
security: []
tags: []
paths:
  /triggers/{app_id}/{trigger_id}:
    patch:
      operationId: TriggersController_update
      parameters:
        - name: trigger_id
          required: true
          in: path
          schema:
            type: string
        - name: app_id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTriggerDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TriggerDto'
components:
  schemas:
    UpdateTriggerDto:
      type: object
      properties:
        wallet_id:
          type: string
        name:
          type: string
          maxLength: 128
        params_data:
          $ref: '#/components/schemas/TriggerParamDto'
        custom_address:
          type: string
          maxLength: 128
        call_data:
          $ref: '#/components/schemas/UpdateWalletCallDto'
    TriggerDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        custom_address_enabled:
          type: boolean
        custom_address:
          type: string
        call_data:
          $ref: '#/components/schemas/WalletCallDto'
        params_data:
          $ref: '#/components/schemas/TriggerParamDto'
        params_data_input:
          $ref: '#/components/schemas/TriggerParamDto'
        params_data_example:
          type: string
        app:
          $ref: '#/components/schemas/AppDto'
        wallet:
          $ref: '#/components/schemas/WalletDto'
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - name
        - custom_address_enabled
        - call_data
        - app
        - wallet
        - created_at
        - updated_at
    TriggerParamDto:
      type: object
      properties:
        number:
          $ref: '#/components/schemas/TriggerParamNumberDto'
        string:
          $ref: '#/components/schemas/TriggerParamStringDto'
        boolean:
          $ref: '#/components/schemas/TriggerParamBooleanDto'
        object:
          $ref: '#/components/schemas/TriggerParamObjectDto'
        array:
          $ref: '#/components/schemas/TriggerParamArrayDto'
    UpdateWalletCallDto:
      type: object
      properties:
        near:
          $ref: '#/components/schemas/UpdateNearCallDto'
        evm:
          $ref: '#/components/schemas/UpdateEvmCallDto'
        wax:
          $ref: '#/components/schemas/UpdateWaxCallDto'
        solana:
          $ref: '#/components/schemas/UpdateSolanaCallDto'
    WalletCallDto:
      type: object
      properties:
        near:
          $ref: '#/components/schemas/NearCallDto'
        evm:
          $ref: '#/components/schemas/EvmCallDto'
        wax:
          $ref: '#/components/schemas/WaxCallDto'
        solana:
          $ref: '#/components/schemas/SolanaCallDto'
    AppDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - individual
            - marketplace
        kyc_return_url:
          type: string
          nullable: true
        use_explorer:
          type: boolean
        permissions:
          $ref: '#/components/schemas/AppPermissionsDto'
        app_fee:
          type: number
        user:
          $ref: '#/components/schemas/UserProfileDto'
        is_member:
          type: boolean
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - name
        - type
        - kyc_return_url
        - use_explorer
    WalletDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          enum:
            - near
            - evm
            - wax
            - solana
          type: string
        managed:
          type: boolean
        wallet_data:
          $ref: '#/components/schemas/WalletDataDto'
        app:
          $ref: '#/components/schemas/AppDto'
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
        magic_network:
          type: string
      required:
        - id
        - name
        - type
        - managed
        - wallet_data
        - app
        - created_at
        - updated_at
    TriggerParamNumberDto:
      type: object
      properties:
        name:
          type: string
        desc:
          type: string
          maxLength: 256
        optional:
          type: boolean
        nullable:
          type: boolean
    TriggerParamStringDto:
      type: object
      properties:
        is_ethereum_address:
          type: boolean
        is_near_address:
          type: boolean
        name:
          type: string
        desc:
          type: string
          maxLength: 256
        optional:
          type: boolean
        nullable:
          type: boolean
    TriggerParamBooleanDto:
      type: object
      properties:
        name:
          type: string
        desc:
          type: string
          maxLength: 256
        optional:
          type: boolean
        nullable:
          type: boolean
    TriggerParamObjectDto:
      type: object
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/TriggerParamDto'
        name:
          type: string
        desc:
          type: string
          maxLength: 256
        optional:
          type: boolean
        nullable:
          type: boolean
      required:
        - value
    TriggerParamArrayDto:
      type: object
      properties:
        value:
          $ref: '#/components/schemas/TriggerParamDto'
        name:
          type: string
        desc:
          type: string
          maxLength: 256
        optional:
          type: boolean
        nullable:
          type: boolean
      required:
        - value
    UpdateNearCallDto:
      type: object
      properties:
        template:
          type: string
          maxLength: 128
        contract_id:
          type: string
          maxLength: 512
        method_name:
          type: string
          maxLength: 512
        method_type:
          type: string
          enum:
            - change
        attached_deposit_amount:
          type: string
    UpdateEvmCallDto:
      type: object
      properties:
        template:
          type: string
          maxLength: 128
        contract_id:
          type: string
        method_name:
          type: string
          maxLength: 512
        method_type:
          type: string
          enum:
            - change
        abi:
          type: string
          maxLength: 10240
        gas_limit:
          type: string
    UpdateWaxCallDto:
      type: object
      properties:
        template:
          type: string
          maxLength: 128
        contract_id:
          type: string
        method_name:
          type: string
          maxLength: 512
        abi:
          type: string
          maxLength: 10240
        gas_limit:
          type: string
    UpdateSolanaCallDto:
      type: object
      properties:
        template:
          type: string
          maxLength: 128
        abi:
          type: string
          maxLength: 10240
        compute_units:
          type: string
    NearCallDto:
      type: object
      properties:
        contract_id:
          type: string
        method_name:
          type: string
        method_type:
          type: string
          enum:
            - change
        attached_deposit_amount:
          type: string
        gas_amount:
          type: string
        data:
          $ref: '#/components/schemas/NearExecuterDataDto'
        data_input:
          type: object
        template:
          type: string
          maxLength: 128
      required:
        - contract_id
        - method_name
        - method_type
    EvmCallDto:
      type: object
      properties:
        contract_id:
          type: string
        method_name:
          type: string
        method_type:
          type: string
          enum:
            - change
        abi:
          type: string
        gas_limit:
          type: string
        data:
          type: array
          items:
            type: object
        data_input:
          type: object
        template:
          type: string
          maxLength: 128
      required:
        - contract_id
        - method_name
        - method_type
        - abi
    WaxCallDto:
      type: object
      properties:
        contract_id:
          type: string
        method_name:
          type: string
        gas_limit:
          type: string
        data:
          type: array
          items:
            type: object
        data_input:
          type: object
        abi:
          type: string
        template:
          type: string
          maxLength: 128
      required:
        - contract_id
        - method_name
        - abi
    SolanaCallDto:
      type: object
      properties:
        contract_id:
          type: string
        method_name:
          type: string
        method_type:
          type: string
          enum:
            - change
        abi:
          type: string
        compute_units:
          type: string
        data:
          type: array
          items:
            type: object
        data_input:
          type: object
        template:
          type: string
          maxLength: 128
    AppPermissionsDto:
      type: object
      properties:
        can_view:
          type: boolean
        can_edit:
          type: boolean
        can_delete:
          type: boolean
        can_edit_members:
          type: boolean
      required:
        - can_view
        - can_edit
        - can_delete
    UserProfileDto:
      type: object
      properties:
        id:
          type: string
        username:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
      required:
        - id
        - username
        - first_name
        - last_name
    WalletDataDto:
      type: object
      properties:
        near:
          $ref: '#/components/schemas/NearDataDto'
        evm:
          $ref: '#/components/schemas/EvmDataDto'
        wax:
          $ref: '#/components/schemas/WaxDataDto'
        solana:
          $ref: '#/components/schemas/SolanaDataDto'
    NearExecuterDataDto:
      type: object
      properties: {}
    NearDataDto:
      type: object
      properties:
        network_id:
          type: string
          enum:
            - mainnet
            - testnet
        account_id:
          type: string
        phrase_or_key:
          type: string
        test_network:
          type: boolean
      required:
        - network_id
        - account_id
    EvmDataDto:
      type: object
      properties:
        network_id:
          type: string
          enum:
            - ethereum
            - goerli
            - sepolia
            - avalanche
            - avalanche-fuji
            - bsc
            - bsc-testnet
            - polygon
            - polygon-mumbai
            - fantom
            - fantom-testnet
            - arbitrum
            - arbitrum-goerli
            - optimism
            - optimism-goerli
            - base
            - base-goerli
            - manta
            - manta-testnet
            - zksync-era
            - zksync-era-testnet
            - berachain-artio
        account_id:
          type: string
        private_key:
          type: string
        test_network:
          type: boolean
      required:
        - network_id
        - account_id
    WaxDataDto:
      type: object
      properties:
        network_id:
          type: string
          enum:
            - mainnet
            - testnet
        account_id:
          type: string
        permission:
          type: string
        public_key:
          type: string
        private_key:
          type: string
        test_network:
          type: boolean
      required:
        - network_id
        - account_id
        - permission
        - public_key
        - private_key
    SolanaDataDto:
      type: object
      properties:
        network_id:
          type: string
          enum:
            - mainnet
            - devnet
        account_id:
          type: string
        private_key:
          type: string
        test_network:
          type: boolean
      required:
        - network_id
        - account_id

````